summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2011-12-21 23:53:57 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-12-21 23:53:57 -0600
commita71e9805958746b944c6235127b525b95215e01b (patch)
tree5075ac30dbd424b44a71e49e9f3681967904cdab /development
parent55e2168ec85b56c0cf863504bee715b3fb02442c (diff)
downloadslackbuilds-a71e9805958746b944c6235127b525b95215e01b.tar.gz
slackbuilds-a71e9805958746b944c6235127b525b95215e01b.tar.xz
development/CVSTools: Moved from System category
(system/CVSTools is gone now) Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/CVSTools/CVSTools.SlackBuild68
-rw-r--r--development/CVSTools/CVSTools.info10
-rw-r--r--development/CVSTools/README26
-rw-r--r--development/CVSTools/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/development/CVSTools/CVSTools.SlackBuild b/development/CVSTools/CVSTools.SlackBuild
new file mode 100644
index 0000000000..3b681557de
--- /dev/null
+++ b/development/CVSTools/CVSTools.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for CVSTools
+
+# Copyright (c) 2011 Chris Walker <kris240376@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following disclaimer
+# in the documentation and/or other materials provided with the
+# distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=CVSTools
+VERSION=${VERSION:-17.1}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/bin
+install -o root -g root -m 755 \
+ checkpoint vers_string cvsver tarup commit cvssync \
+ $PKG/usr/bin
+
+mkdir -p $PKG/usr/share
+install -o root -g root -m 644 cvslib.pl $PKG/usr/share
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/CVSTools/CVSTools.info b/development/CVSTools/CVSTools.info
new file mode 100644
index 0000000000..c7b6a8510b
--- /dev/null
+++ b/development/CVSTools/CVSTools.info
@@ -0,0 +1,10 @@
+PRGNAM="CVSTools"
+VERSION="17.1"
+HOMEPAGE="http://www.padl.com/OSS/CVSTools.html"
+DOWNLOAD="http://www.padl.com/download/CVSTools-17.1.tar.gz"
+MD5SUM="47acea319831d14d39ff67c8bfbb3542"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Christopher Walker"
+EMAIL="kris240376@gmail.com"
+APPROVED="rworkman"
diff --git a/development/CVSTools/README b/development/CVSTools/README
new file mode 100644
index 0000000000..f8e1939f97
--- /dev/null
+++ b/development/CVSTools/README
@@ -0,0 +1,26 @@
+The CVSTools provide a simple project versioning system built upon CVS
+which is used by all PADL software. These tools are also required to
+build NetInfo for Linux and our commerial software. The following scripts
+are included in CVSTools:
+
+checkpoint
+Based on Apple's checkpoint program, this creates Perl program the
+CVSVersionInfo.txt file for a work area (when invoked with -create). To
+checkpoint (i.e. increment the version number and create a CVS tag) type
+checkpoint with no arguments, or with the new version number as an
+argument.
+
+cvslib.pl
+Common library functions used by some of these scripts for getting the
+repository and project names. One can override CVSVersionInfo.txt
+location with the CVSVERSIONDIR environment variable, which is useful for
+nested source trees where one wishes to pull in the top level version info
+for the project name, and the current directory name for the program.
+
+tarup
+Executes cvs export and then creates a tarball in
+~/dist/project-version.tar.gz.
+
+vers_string
+Equivalent of OS X's /usr/bin/vers_string, instead using
+CVSVersionInfo.txt the repository and project names.
diff --git a/development/CVSTools/slack-desc b/development/CVSTools/slack-desc
new file mode 100644
index 0000000000..b557b1e59f
--- /dev/null
+++ b/development/CVSTools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+CVSTools: CVSTools (PADL's CVS-based versioning system)
+CVSTools:
+CVSTools: The CVSTools provide a simple project versioning system built upon CVS
+CVSTools: which is used by all PADL software. These tools are also required to
+CVSTools: build NetInfo for Linux and our commercial software.
+CVSTools:
+CVSTools: Homepage: http://www.padl.com/OSS/CVSTools.html
+CVSTools:
+CVSTools:
+CVSTools:
+CVSTools: